Bug 199797 - Review Request: auriferous - Game inspired by the classic Loderunner
Review Request: auriferous - Game inspired by the classic Loderunner
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On: 199632
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-22 01:37 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 15:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-07-22 01:37:15 EDT
Spec URL: http://people.atrpms.net/~hdegoede/auriferous.spec
SRPM URL: http://people.atrpms.net/~hdegoede/auriferous-1.0.1-1.src.rpm
Description:
An arcade style like game. The goal is to fight out all gold from the caves and
go into in the door. Sounds simple, but try it. :) The challenge: Because some
bad blue Monks want prevent you from that, they bite of your head if the catch
you. good luck :) Further the caves(levels) are often like mazes with dangers
and traps, to pass them you need a lot of skill.
Comment 1 Hans de Goede 2006-07-22 01:42:57 EDT
Note this packages needs ClanLib06, review bug 199632

Comment 2 Wart 2006-07-30 20:20:43 EDT
GOOD
====
* rpmlint output clean
* package and spec file named appropriately
* spec file legible and in Am. English
* GPL license ok, license file included
* Compiles in mock on FC5-i386, FC5-x86_64,
* No extra BR:
* Source matches upstream:
  660447c44af5cee7543de57cc9dcafc6  auriferous-1.0.1.tar.bz2
* No locales
* No shared libaries
* Not relocatable
* RPM_BUILD_ROOT cleaned where necessary
* macro usage consistent
* Contains code and permissible content (game data)
* No need for -doc subpackage
* No need for -devel subpackage
* .desktop file installed correctly
* Does not own directories that it should not.
* Runs on FC5-i386

MUSTFIX
=======
* Missing BR: libpng-devel, or is this supposed to be pulled in
  automatically by ClanLib06-devel?

SHOULD
======
* Too many smileys in the %description.
* Consider moving %{_datadir}/auriferous to a -data subpackage

NOTES
=====
* The display size is slightly larger than my 800x600 setup, making it
  somewhat awkward.  I didn't see any in-game options to change the display
  size, is that possible?
* What's the difference between playerr.png in the tarball and your
  modified playerr.png?
Comment 3 Hans de Goede 2006-07-31 02:32:24 EDT
(In reply to comment #2)
> MUSTFIX
> =======
> * Missing BR: libpng-devel, or is this supposed to be pulled in
>   automatically by ClanLib06-devel?
> 

Yes that is a missing Requires in ClanLib06-devel, I've fixed this and the new
ClanLib06 is building on the buildsys as I type. Sigh, I manually checked all
the ClanLib06 headers for things like this, but appereantly I've read over the
#include <png.h> .

> SHOULD
> ======
> * Too many smileys in the %description.
You're right I've copy and pasted that from the homepage. I've removed the smileys.

> * Consider moving %{_datadir}/auriferous to a -data subpackage
Unless upstream has the data in a seperate package too that is a useless
exercise, since any bugfixes to the engine part will require a rebuild of the
SRPM and thus will result in a new data subpackage packages too, so a user doing
a yum update will still download all the unchanged data files along with the
bugfixed engine. I wouldn't mind a solution for this, but as is creating a data
subpackage and then Requiring it from the main package has no advantages.

> 
> NOTES
> =====
> * The display size is slightly larger than my 800x600 setup, making it
>   somewhat awkward.  I didn't see any in-game options to change the display
>   size, is that possible?
I've taken a look and everything is hardcoded to 1024x768 using pixel
coordinates, so I'm afraid I cannot (with reasonable effort) fix this.

> * What's the difference between playerr.png in the tarball and your
>   modified playerr.png?
My version adds one additional column of transparant pixels to the right (gimp),
upstream it is one column to small causing memory curruption (clanlib really
should complain, but instead it accesses random memory). It took me quite a bit
of time to hunt this down.

Comment 4 Wart 2006-07-31 02:50:13 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > * Consider moving %{_datadir}/auriferous to a -data subpackage
> Unless upstream has the data in a seperate package too that is a useless
> exercise, since any bugfixes to the engine part will require a rebuild of the
> SRPM and thus will result in a new data subpackage packages too, so a user doing
> a yum update will still download all the unchanged data files along with the
> bugfixed engine. I wouldn't mind a solution for this, but as is creating a data
> subpackage and then Requiring it from the main package has no advantages.

You could package them with two different spec files that share the same
tarball.  In theory this should work, but I haven't tried it out myself yet.  In
any case, this isn't a blocker.

> > NOTES
> > =====
> > * The display size is slightly larger than my 800x600 setup, making it
> >   somewhat awkward.  I didn't see any in-game options to change the display
> >   size, is that possible?
> I've taken a look and everything is hardcoded to 1024x768 using pixel
> coordinates, so I'm afraid I cannot (with reasonable effort) fix this.

It might be good to document this somewhere, either in %description, %doc, or
with an in-game warning.

> > * What's the difference between playerr.png in the tarball and your
> >   modified playerr.png?
> My version adds one additional column of transparant pixels to the right (gimp),
> upstream it is one column to small causing memory curruption (clanlib really
> should complain, but instead it accesses random memory). It took me quite a bit
> of time to hunt this down.

Ouch.  Perhaps you could add a short comment above Source1: in the spec about this.
Comment 5 Hans de Goede 2006-07-31 03:05:08 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > * Consider moving %{_datadir}/auriferous to a -data subpackage
> > Unless upstream has the data in a seperate package too that is a useless
> > exercise, since any bugfixes to the engine part will require a rebuild of the
> > SRPM and thus will result in a new data subpackage packages too, so a user doing
> > a yum update will still download all the unchanged data files along with the
> > bugfixed engine. I wouldn't mind a solution for this, but as is creating a data
> > subpackage and then Requiring it from the main package has no advantages.
> 
> You could package them with two different spec files that share the same
> tarball.  In theory this should work, but I haven't tried it out myself yet.  In
> any case, this isn't a blocker.
> 

Some time ago I've discussed this on f-e-l. The advice then was to create 2
different tarbal's from the upstream one myself, I concider this to much of a
long term maintainance burden. Your approach was rejected because it would make
the diskspace requirements for SRPMs for the involved packages double. So lets
just leave things as they are (this is not the only package affected by this).

> > > NOTES
> > > =====
> > > * The display size is slightly larger than my 800x600 setup, making it
> > >   somewhat awkward.  I didn't see any in-game options to change the display
> > >   size, is that possible?
> > I've taken a look and everything is hardcoded to 1024x768 using pixel
> > coordinates, so I'm afraid I cannot (with reasonable effort) fix this.
> 
> It might be good to document this somewhere, either in %description, %doc, or
> with an in-game warning.
> 

Good idea, I've added a note to the description.

> > > * What's the difference between playerr.png in the tarball and your
> > >   modified playerr.png?
> > My version adds one additional column of transparant pixels to the right (gimp),
> > upstream it is one column to small causing memory curruption (clanlib really
> > should complain, but instead it accesses random memory). It took me quite a bit
> > of time to hunt this down.
> 
> Ouch.  Perhaps you could add a short comment above Source1: in the spec about
this.

Another good idea, I've added a comment about this.

New version here:
Spec URL: http://people.atrpms.net/~hdegoede/auriferous.spec
SRPM URL: http://people.atrpms.net/~hdegoede/auriferous-1.0.1-2.src.rpm
Comment 6 Wart 2006-07-31 12:33:40 EDT
The new ClanLib06 package fixes the libpng-devel requirement.  All other changes
look good.

APPROVED
Comment 7 Hans de Goede 2006-07-31 15:03:48 EDT
Thanks! Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.